﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ExportGridCalculateColumn.aspx.cs" Inherits="ExportGridCalculateColumn" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        html .RadGrid .rgMasterTable .rgRow td,
        html .RadGrid .rgMasterTable .rgAltRow td
        {
            border: none;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" OnNeedDataSource="RadGrid1_NeedDataSource" AutoGenerateColumns="false" OnItemDataBound="RadGrid1_ItemDataBound"
            Skin="Office2007" OnExportCellFormatting="RadGrid1_ExportCellFormatting" OnItemCommand="RadGrid1_ItemCommand">
            <ExportSettings ExportOnlyData="true"></ExportSettings>
            <MasterTableView CommandItemDisplay="Top" CommandItemSettings-ShowExportToExcelButton="true" CommandItemSettings-ShowExportToPdfButton="true">
                <Columns>
                    <telerik:GridBoundColumn DataField="Column1" HeaderText="Column1"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Column2" HeaderText="Column2"></telerik:GridBoundColumn>
                    <telerik:GridCalculatedColumn HeaderText="Total Cost" UniqueName="TotalCost" DataType="System.Double"
                        DataFields="Column2, Column1" Expression="iif({1}=0,0,iif(({0}-{1})=0,0,(({0}-{1})/{1})*100))" DataFormatString="{0:###,##0.00}%" />
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </form>
</body>
</html>
