﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class ExportGridCalculateColumn : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Column1", typeof(int));
        table.Columns.Add("Column2", typeof(int));
        table.Columns.Add("Column3", typeof(int));

        for (int i = 1; i < 10; i++)
        {
            table.Rows.Add(i, i * 2, i * 13);
        }

        RadGrid1.DataSource = table;
    }

    protected void RadGrid1_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if (e.Item is GridDataItem && isExport)
        {
            GridDataItem item = e.Item as GridDataItem;
        }        
    }
    protected void RadGrid1_ExportCellFormatting(object sender, ExportCellFormattingEventArgs e)
    {
        if (e.FormattedColumn.UniqueName == "TotalCost")
        {            
            e.Cell.Style["mso-number-format"] = @"Percent";
        }
    }

    bool isExport = false;
    protected void RadGrid1_PreRender(object sender, EventArgs e)
    {
        if (isExport)
        {
            GridBoundColumn col = RadGrid1.MasterTableView.GetColumn("TotalCost") as GridBoundColumn;
            col.DataFormatString = "";
        }
    }
    protected void RadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName == RadGrid.ExportToExcelCommandName)
        {
            isExport = true;
        }
    }
}